RHEL 7 : kernel (RHSA-2020:5437)

high Nessus Plugin ID 144404

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

The remote Redhat Enterprise Linux 7 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2020:5437 advisory.

- kernel: The flow_dissector feature allows device tracking (CVE-2019-18282)

- kernel: Buffer over-read in crypto_authenc_extractkeys() when a payload longer than 4 bytes is not aligned. (CVE-2020-10769)

- kernel: buffer uses out of index in ext3/4 filesystem (CVE-2020-14314)

- kernel: metadata validator in XFS may cause an inode with a valid, user-creatable extended attribute to be flagged as corrupt (CVE-2020-14385)

- kernel: umask not applied on filesystem without ACL support (CVE-2020-24394)

- kernel: TOCTOU mismatch in the NFS client code (CVE-2020-25212)

- kernel: improper input validation in ppp_cp_parse_cr function leads to memory corruption and read overflow (CVE-2020-25643)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/119.html

https://cwe.mitre.org/data/definitions/125.html

https://cwe.mitre.org/data/definitions/131.html

https://cwe.mitre.org/data/definitions/200.html

https://cwe.mitre.org/data/definitions/367.html

https://cwe.mitre.org/data/definitions/732.html

https://access.redhat.com/security/cve/CVE-2019-18282

https://access.redhat.com/security/cve/CVE-2020-10769

https://access.redhat.com/security/cve/CVE-2020-14314

https://access.redhat.com/security/cve/CVE-2020-14385

https://access.redhat.com/security/cve/CVE-2020-24394

https://access.redhat.com/security/cve/CVE-2020-25212

https://access.redhat.com/security/cve/CVE-2020-25643

https://access.redhat.com/errata/RHSA-2020:5437

https://bugzilla.redhat.com/1708775

https://bugzilla.redhat.com/1796360

https://bugzilla.redhat.com/1853922

https://bugzilla.redhat.com/1869141

https://bugzilla.redhat.com/1874800

https://bugzilla.redhat.com/1877575

https://bugzilla.redhat.com/1879981

Plugin Details

Severity: High

ID: 144404

File Name: redhat-RHSA-2020-5437.nasl

Version: 1.6

Type: local

Agent: unix

Published: 12/18/2020

Updated: 10/12/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

CVSS Score Source: CVE-2020-25643

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:M/Au:S/C:P/I:P/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.2

Temporal Score: 6.3

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:7, p-cpe:/a:redhat:enterprise_linux:bpftool, p-cpe:/a:redhat:enterprise_linux:kernel, p-cpe:/a:redhat:enterprise_linux:kernel-abi-whitelists, p-cpe:/a:redhat:enterprise_linux:kernel-bootwrapper, p-cpe:/a:redhat:enterprise_linux:kernel-debug, p-cpe:/a:redhat:enterprise_linux:kernel-debug-devel, p-cpe:/a:redhat:enterprise_linux:kernel-devel, p-cpe:/a:redhat:enterprise_linux:kernel-kdump, p-cpe:/a:redhat:enterprise_linux:kernel-kdump-devel, p-cpe:/a:redhat:enterprise_linux:kernel-tools, p-cpe:/a:redhat:enterprise_linux:kernel-tools-libs, p-cpe:/a:redhat:enterprise_linux:kernel-tools-libs-devel, p-cpe:/a:redhat:enterprise_linux:perf, p-cpe:/a:redhat:enterprise_linux:python-perf

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 12/15/2020

Vulnerability Publication Date: 1/16/2020

Reference Information

CVE: CVE-2019-18282, CVE-2020-10769, CVE-2020-14314, CVE-2020-14385, CVE-2020-24394, CVE-2020-25212, CVE-2020-25643

RHSA: 2020:5437

CWE: 20, 119, 125, 131, 200, 367, 732